﻿using System.Configuration;
using System.Linq;

namespace ConfigurationTest
{
    public static class ConfigurationExtensions
    {
        /// <summary>
        /// 向配置的 AppSetings 节添加（如果不存在）或更新（如果已存在）给定的 key 和 value
        /// </summary>
        /// <param name="config"></param>
        /// <param name="key"></param>
        /// <param name="value"></param>
        public static void AddOrUpdateAppSettingItem(this Configuration config, string key, string value)
        {
            if (config.AppSettings.Settings.AllKeys.Contains(key))
            {
                config.AppSettings.Settings[key].Value = value;
            }
            else
            {
                config.AppSettings.Settings.Add(key, value);
            }
        }
    }
}