﻿using System.Windows;

namespace ConfigurationTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var config = ConfigSetting.GetCurrentConfiguration();
            AppConfigSetting setting = new AppConfigSetting(config);

            /*    1. 通过属性    */
            // 未设置时
            MessageBox.Show($"LogFileName: {setting.LogFileName}");

            // 设置后，再读取
            setting.LogFileName = "log.txt";
            MessageBox.Show($"LogFileName: {setting.LogFileName}");

            /*    2. 其它类型: int    */
            // 未设置时
            MessageBox.Show($"ReadBlockSize: {setting.ReadBlockSize}");

            // 设置后，再读取
            setting.ReadBlockSize = 10240;
            MessageBox.Show($"ReadBlockSize: {setting.ReadBlockSize}");

            /*    3. 其它类型: DateTime    */
            // 未设置时
            MessageBox.Show($"InstallDateTime: {setting.InstallDateTime}");

            // 设置后，再读取
            setting.InstallDateTime = new System.DateTime(2017, 5, 10);
            MessageBox.Show($"InstallDateTime: {setting.InstallDateTime}");

            /*    4. 通过方法设置    */
            // 未设置时
            MessageBox.Show($"LogLevel: {setting.GetSettingValueByKey("LogLevel")}");

            // 设置后，再读取
            setting.SetSettingValueByKey("LogLevel", 5);
            MessageBox.Show($"LogLevel: {setting.GetSettingValueByKey("LogLevel")}");
        }
    }
}